I have a Suse 10 sp4 32 bit and would like to install SUN Java 1.7_067 to run SEP tape software.

1. Uninstall Java version 1.4.###
2. Installed 1.7 ###067, Java installs fine. I create soft link. No plugin in Firefox 3.6.17.

I followed these instructions: http://www.java.com/en/download/help/linux_install.xml

Is java 1.7 to new for SUSe 10 sp4?

Should I go down to 1.6?
Any suggestions?